/******************************************************************************

  This source file is part of the Avogadro project.

  Copyright 2012 Kitware, Inc.

  This source code is released under the New BSD License, (the "License").

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.91.0/avogadro/qtplugins/3dmol/3dmol.h"


namespace Avogadro {
namespace QtPlugins {

class ThreeDMolFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit ThreeDMolFactory(QObject *parent_ = 0) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance()
  {
    ThreeDMol *object = new ThreeDMol(parent());
    object->setObjectName("ThreeDMol");
    return object;
  }

  QString identifier() const { return "ThreeDMol"; }

  QString description() const { return "The 3DMol HTML Block Generator"; }

};

}
}

#include "ThreeDMolPlugin.moc"
